<?php

namespace App\Enums;

use App\Traits\Enum\WithComment;
use App\Traits\Enum\WithValue;
use Filament\Support\Contracts\HasLabel;

enum NotifStyle: string implements HasLabel
{
    use WithComment, WithValue;

    case CHEERFUL = 'cheerful';
    case FORMAL = 'formal';

    public function getLabel(): ?string
    {
        return match ($this) {
            self::CHEERFUL => 'Ceria (Banyak Emoji) 🚀✨',
            self::FORMAL => 'Formal & Profesional 💼',
        };
    }
}
